Форум программистов, компьютерный форум, киберфорум
Наши страницы
Программирование Android
Войти
Регистрация
Восстановить пароль
Другие темы раздела
Программирование Android Изменение данных через BaseAdapter в Activity http://www.cyberforum.ru/android-dev/thread1966735.html
Добрый день, у меня возникла следующая проблема. У меня имеется стандартное активити с listview и в этом же активити сверху имеется text view, через base adapter я вывожу данные в listview и в нем...
Программирование Android Не отображается на реальном устройстве текст кнопок
Здравствуйте, меня беспокоит одна проблема, при тесте на реальном устройстве кнопки "MAKE A PHOTO" и "OPEN IMAGE" не отображаются а конкретней их надпись но при этом они рабочие, но они хорошо...
OCR для кириллицы Программирование Android
Приветствую. Кто работал с оптическим распознаванием текста под андроидом с кириллицей , какую библиотеку выбрать ? С латиницей все на УРА, TextRecognizer великолепно справляется с задачей, но не...
Программирование Android Оценка стоимости разработки мобильного приложения Здравствуйте, рассматриваю разработку мобильного приложения на ОС Android. Если здесь есть разработчики, то прошу приблизительно оценить количество строчек кода для приложения, по критерием: наиболее... http://www.cyberforum.ru/android-dev/thread1966512.html
Программирование Android Спрятать SearchView в некоторых фрагментах http://www.cyberforum.ru/android-dev/thread1966420.html
Всем привет, такой вопрос: Есть NavigationDrawer В одном фрагменте реализован viewPager , там 2 фрагмента и в каждом searchView в тулбаре. Но когда заходишь в этот фрагмент, searchView потом...
MediaCodec возникновение ошибки Illegalstateexception Программирование Android
Столкнулся с проблемой при использовании MediaCodec-a: MediaCodec.BufferInfo info = new MediaCodec.BufferInfo(); while (!frameExtracted) { if (!sawInputEOS) { ...
Программирование Android Http://www.appsgeyser.com limit 65k
Создал приложение на сайте http://www.appsgeyser.com при загрузке его выдает сообщение 65k limit. Как наиболее просто решить проблему?
Программирование Android Вывод версии приложения и его обновление не через GP Подскажите пожалуйста,имею такую активити package com.projects.fragments; import com.projects.storefinder.R; import android.os.Bundle; import android.support.v4.app.Fragment; import... http://www.cyberforum.ru/android-dev/thread1966006.html
Программирование Android WebView и html файлы в Internal Storage http://www.cyberforum.ru/android-dev/thread1965764.html
С html файлами, находящимися в assets, можно работать из WebView, переходя по относительным сылкам от одного к другому. Мне нужно, чтоб приложение загрузило систему html файлов из Интернета и...
Программирование Android Растянуть Canvas Господа, вопрос, у меня 2 телефона, первый 1280x720, второй 800x600, мое App было сделано для 800x600, в частности речь о Canvas, растянутом на всё Activity, и так, есть ли возможность на телефоне с... http://www.cyberforum.ru/android-dev/thread1965747.html
Александер2000
5 / 5 / 0
Регистрация: 29.06.2013
Сообщений: 203
23.04.2017, 18:16  [ТС] 0

Проект с API 25 не работает на более ранних версиях

23.04.2017, 18:16. Просмотров 1105. Ответов 15
Метки (Все метки)

Ответ

Цитата Сообщение от ExFau$t Посмотреть сообщение
Что не работает? Какая ошибка? Причём тут апи и скрины саппортных либ? Если надо собрать под 19 - укажи в градле 19 или в настройках проекта, студия сама предложит докачать, если нету чего-то.
Проблема в том, что. Создаю проект, указвыаю минимум сдк, 3.0 или 4.1. Проект собирается, и те скриншоты что я выложил. И при запуске на эмуляторе, 4.1 или 4.4 или меньше, не запускается. Только на 5.1 лолипоп. Разве не должны быть бибилиотеки другой версии раз я указываю в настройках проекта другую версию?

Добавлено через 34 секунды
неважно, что я указываю всегда собирает с теми библиотеками

Добавлено через 1 минуту
Раз я собираю под минимум 3.0 он же должен запускаться на 4.1 хотябы старт активити, но нефига!

Добавлено через 1 минуту
А можно на уровне простого обывателя? Указать в градле? Я недавно занимаюсь этим всем, еще не ко всем абревиатурам и сленгу приывык. ЕСЛИ МОЖНО, со скриншотами пожалуйста, это было бы супер

Вернуться к обсуждению:
Проект с API 25 не работает на более ранних версиях
0
MoreAnswers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
23.04.2017, 18:16

Ajax_result замена в более новых версиях
Здравствуйте. У меня используется jquery последней версии, и старый js перевожу на новую версию. В...

Не правильно парсит время в разных версиях API?
Добрый день! почему-то этот код если напр. подставить в getTime 00:15 Date date = null; ...

Работа надстройки для Excel 97 в более поздних версиях
Доброго времени суток. Имеется надстройка для Excel 97. Возможно ли заставить ее работать на более...

0
КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2019, vBulletin Solutions, Inc.
Рейтинг@Mail.ru